PRO sesFrame_Event , event
	COMPILE_OPT IDL2
	baseUName = Widget_Info(event.top, /UName)
	CASE baseUName OF
		'mBase':BEGIN
			Widget_Control, event.top, Get_UValue = oSystem
			oSystem->HandleEvent, event
		END
		'ContourEdit':BEGIN
			Widget_Control, event.top, Get_UValue = contourEdit
			contourEdit->HandleEvent, event
		END
		'plotValueXY':BEGIN
			Widget_Control, event.top, Get_UValue = PlotXY
			PlotXY->HandleEvent, event
		END
		'CutImage':BEGIN
			Widget_Control, event.top, Get_UValue = Cut
			Cut->HandleEvent, event
		END
		'EditColorbar':BEGIN
			Widget_Control, event.top, Get_UValue = color
			color->HandleEvent, event
		END
		'oCartoon':BEGIN
			Widget_Control, event.top, Get_UValue = cartoon
			cartoon->HandleEvent, event
		END
		'PrintBase':BEGIN
			Widget_Control, event.top, Get_UValue = PrintSet
			PrintSet->HandleEvent, event
		END
		'Pretreat':BEGIN
			Widget_Control, event.top, Get_UValue = Pretreat
			Pretreat->HandleEvent, event
		END
		'Label':BEGIN
			Widget_Control, event.top, Get_UValue = Label
			Label->HandleEvent, event
		END
		'text':BEGIN
			Widget_Control, event.id,  Get_UValue = text
			text->textevent, event
		END
		'editorbase':BEGIN
			Widget_Control, event.top,  Get_UValue = editorbase
			editorbase->pmteidtorevent, event
		END
		'zoomBase':BEGIN
			Widget_Control, event.top, Get_UValue = zoom
			zoom->HandleEvent, event
		END
		'showValue':BEGIN
			Widget_Control, event.top, Get_UValue = show
			show->HandleEvent, event
		END
		'plotImage':BEGIN
			Widget_Control, event.top, Get_UValue = plotImage
			plotImage->HandleEvent, event
		END
		'showHistogram':BEGIN
			Widget_Control, event.top, Get_UValue = showHistogram
			showHistogram->HandleEvent, event
		END

	ELSE:
	ENDCASE

END
